summaryrefslogtreecommitdiffstats
path: root/dracut/anaconda-netroot.sh
diff options
context:
space:
mode:
authorWill Woods <wwoods@redhat.com>2012-04-02 22:14:24 -0400
committerWill Woods <wwoods@redhat.com>2012-04-03 16:37:45 -0400
commit0f4773a15dfd31c77b35ec5d8b2af7b1dd5b9c2c (patch)
tree7941934fc942f88ad936eb0768a0738508d8059c /dracut/anaconda-netroot.sh
parentfd3742ad638437010800e45f9b36e9cc23d530f7 (diff)
downloadanaconda-0f4773a15dfd31c77b35ec5d8b2af7b1dd5b9c2c.tar.gz
anaconda-0f4773a15dfd31c77b35ec5d8b2af7b1dd5b9c2c.tar.xz
anaconda-0f4773a15dfd31c77b35ec5d8b2af7b1dd5b9c2c.zip
support {stage2,repo}=.../path/to/file.img (#808499)
preupgrade uses stage2=hd:XXX:/path/upgrade.img, so we need to handle that. stage2=XXX overrides repo=XXX, if both are present.
Diffstat (limited to 'dracut/anaconda-netroot.sh')
-rwxr-xr-xdracut/anaconda-netroot.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/dracut/anaconda-netroot.sh b/dracut/anaconda-netroot.sh
index a7bdb153a..7b8f21dad 100755
--- a/dracut/anaconda-netroot.sh
+++ b/dracut/anaconda-netroot.sh
@@ -5,10 +5,10 @@
command -v getarg >/dev/null || . /lib/dracut-lib.sh
# get repo info
-repo=$(getarg repo= inst.repo=)
+splitsep ":" "$root" prefix repo
# no repo? non-net root? we're not needed here.
-[ "$root" = "anaconda-net" ] && [ -n "$repo" ] || return 0
+[ "$prefix" = "anaconda-net" ] && [ -n "$repo" ] || return 0
# already done? don't run again.
[ -e /dev/root ] && return 0